package com.steering.pss.plnsaleord.GpOptimize.model;

/**
 * 数据库表T_PO_DEMAND_PLAN所对应的实体类（生成工具：代码生成器3.0）
 * @author TZH-PC date 2024-08-23
 */
@SuppressWarnings("serial")
public class HotHeatProductionMesGxEntity implements java.io.Serializable {
	/**
     * 序号
     */
    private String cxNo = "";
    
    /**
     * 序号
     */
    public String getCxNo() {
        return cxNo;
    }
    /**
     *序号
     */
    public void setCxNo(String cxNo) {
        this.cxNo = cxNo;
    }
    /**
     * 合同类型
     */
    private String contractType = "";
    
    /**
     * 合同类型
     */
    public String getContractType() {
        return contractType;
    }
    /**
     *合同类型
     */
    public void setContractType(String contractType) {
        this.contractType = contractType;
    }
    
    /**
     *品种
     */
    private String prodVariety = "";
    
    /**
     * 品种
     */
    public String getProdVariety() {
        return prodVariety;
    }
    /**
     *品种
     */
    public void setProdVariety(String prodVariety) {
        this.prodVariety = prodVariety;
    }
    
    /**
     * 钢级
     */
    private String steelLevel = "";
    /**
     * 钢级
     */
    public String getSteelLevel() {
        return steelLevel;
    }
    /**
     * 钢级
     */
    public void setSteelLevel(String steelLevel) {
        this.steelLevel = steelLevel;
    }
    
    /**
     * 钢号
     */
    private String steelNo = "";
    /**
     * 钢号
     */
    public String getSteelNo() {
        return steelNo;
    }
    /**
     * 钢号
     */
    public void setSteelNo(String steelNo) {
        this.steelNo = steelNo;
    }
    /**
     * 规格
     */
    private String spec = "";
    
    /**
     * 规格
     */
    public String getSpec() {
        return spec;
    }
    /**
     * 规格
     */
    public void setSpec(String spec) {
        this.spec = spec;
    }
    
    /**
     * 产量类型
     */
    private String prodType = "";
    
    /**
     * 产量类型
     */
    public String getProdType() {
        return prodType;
    }
    /**
     * 产量类型
     */
    public void setProdType(String prodType) {
        this.prodType = prodType;
    }
    
    /**
     * 成品重量
     */
    private String prodWeight = "";
    
    /**
     * 成品重量
     */
    public String getProdWeight() {
        return prodWeight;
    }
    /**
     * 成品重量
     */
    public void setProdWeight(String prodWeight) {
        this.prodWeight = prodWeight;
    }
    
    
    /**
     * 来料重量	
     */
    private String mateWeight = "";
    /**
     * 来料重量
     */
    public String getMateWeight() {
        return mateWeight;
    }
    /**
     * 来料重量
     */
    public void setMateWeight(String mateWeight) {
        this.mateWeight = mateWeight;
    }
    
    /**
     * 消耗占比
     */
    private String steelWaste = "";
    /**
     * 消耗占比
     */
    public String getSteelWaste() {
        return steelWaste;
    }
    /**
     * 消耗占比
     */
    public void setSteelWaste(String steelWaste) {
        this.steelWaste = steelWaste;
    }
    /**
     * 工序
     */
    private String process = "";
    /**
     *  工序
     */
    public String getProcess() {
        return process;
    }
    /**
     *  工序
     */
    public void setProcess(String process) {
        this.process = process;
    }
    
    /**
     * 高新编码
     */
    private String highTechCode = "";
    /**
     * 高新编码
     */
    public String getHighTechCode() {
        return highTechCode;
    }
    /**
     * 高新编码
     */
    public void setHighTechCode(String highTechCode) {
        this.highTechCode = highTechCode;
    }
    
    /**
     * 高新名字
     */
    private String highTechName = "";
    /**
     * 高新名字
     */
    public String getHighTechName() {
        return highTechName;
    }
    /**
     * 高新名字
     */
    public void setHighTechName(String highTechName) {
        this.highTechName = highTechName;
    }
    
    /**
     * 高新成品重量
     */
    private String highProdWeight = "";
    /**
     * 高新成品重量
     */
    public String getHighProdWeight() {
        return highProdWeight;
    }
    /**
     * 高新成品重量
     */
    public void setHighProdWeight(String highProdWeight) {
        this.highProdWeight = highProdWeight;
    }
    /**
     * 高新来料重量
     */
    private String highMateWeight = "";
    /**
     * 高新来料重量
     */
    public String getHighMateWeight() {
        return highMateWeight;
    }
    /**
     * 高新来料重量
     */
    public void setHighMateWeight(String highMateWeight) {
        this.highMateWeight = highMateWeight;
    }
    /**
     * estimatedUnitPrice
     */
    private String estimatedUnitPrice = "";
    /**
     * estimatedUnitPrice
     */
    public String getEstimatedUnitPrice() {
        return estimatedUnitPrice;
    }
    /**
     * estimatedUnitPrice
     */
    public void setEstimatedUnitPrice(String estimatedUnitPrice) {
        this.estimatedUnitPrice = estimatedUnitPrice;
    }
    
    /**
     * estimatedCost
     */
    private String estimatedCost = "";
    /**
     * estimatedCost
     */
    public String getEstimatedCost() {
        return estimatedCost;
    }
    /**
     * estimatedCost
     */
    public void setEstimatedCost(String estimatedCost) {
        this.estimatedCost = estimatedCost;
    }
    
    /**
     * 结算年月
     */
    private String qtacctPeriod = "";
    /**
     * 结算年月
     */
    public String getQtacctPeriod() {
        return qtacctPeriod;
    }
    /**
     * 结算年月
     */
    public void setQtacctPeriod(String qtacctPeriod) {
        this.qtacctPeriod = qtacctPeriod;
    }
    /**
     * 物料编码
     */
    private String mateCode = "";
    
    /**
     * 物料编码
     */
    public String getMateCode() {
        return mateCode;
    }
    /**
     * 物料编码
     */
    public void setMateCode(String mateCode) {
        this.mateCode = mateCode;
    }
    /**
     * 是否来料加工
     */
    private String resourceType = "";
    /**
     * 是否来料加工
     */
    public String getResourceType() {
        return resourceType;
    }
    /**
     * 是否来料加工
     */
    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }
    /**
     * 钢坯编码
     */
    private String billetCode = "";
    /**
     * 钢坯编码
     */
    public String getBilletCode() {
        return billetCode;
    }
    /**
     * 钢坯编码
     */
    public void setBilletCode(String billetCode) {
        this.billetCode = billetCode;
    }
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 备注
     */
    public String getMemo() {
        return memo;
    }
    /**
     * 备注
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    /**
     * 是否高新 0：否 1：是
     */
    private String flag = "";
    /**
     * 是否高新 0：否 1：是
     */
    public String getFlag() {
        return flag;
    }
    /**
     * 是否高新 0：否 1：是
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }
    /**
     * 
     */
    private String judgeStoveNo = "";

	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}
    
	/**
     * 
     */
    private String orderId = "";

	public String getOrderId() {
		return orderId;
	}
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}
	/**
     * 
     */
    private String balYearMonth = "";

	public String getBalYearMonth() {
		return balYearMonth;
	}
	public void setBalYearMonth(String balYearMonth) {
		this.balYearMonth = balYearMonth;
	}
    
}